%define majver %(echo %version | cut -d . -f1-2)
Name:          kdevelop
Version:       22.08.3
Release:       2mamba
Summary:       Integrated Development Environment for KDE
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.kdevelop.org/
Source:        http://mirror.freedif.org/KDE/ftp/stable/release-service/%{version}/src/kdevelop-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Positioning-devel
BuildRequires: libQt5WebChannel-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libX11-devel
BuildRequires: libapr-devel
BuildRequires: libaprutil-devel
BuildRequires: libattica5-devel
BuildRequires: libclang-devel
BuildRequires: libgcc
BuildRequires: libgrantlee-devel
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdeclarative-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknewstuff-devel
BuildRequires: libknotifications-devel
BuildRequires: libknotifyconfig-devel
BuildRequires: libkomparediff2-devel
BuildRequires: libkpackage-devel
BuildRequires: libkparts-devel
BuildRequires: libkrunner-devel
BuildRequires: libkservice-devel
BuildRequires: libksysguard-devel
BuildRequires: libktexteditor-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libplasma-framework-devel
BuildRequires: libpurpose-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsyntax-highlighting-devel
BuildRequires: libthreadweaver-devel
BuildRequires: okteta-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qttools-devel
BuildRequires: subversion-devel
## AUTOBUILDREQ-END
BuildRequires: libclang-devel >= 0:15.0.5-1mamba
BuildRequires: llvm-devel >= 13.0.0
BuildRequires: okteta-devel >= 1:0.26.4
Requires:      make
Requires:      cvs
Requires:      git
Requires:      doxygen
Requires:      graphviz
Requires:      subversion
Requires:      valgrind
Provides:      kdevelop4
Obsoletes:     kdevelop4 < 5.6.2

%description
An integrated development environment (IDE) that allows you to develop, build and debug KDE/Qt, GNOME, plain C and C++ projects.
It includes a documentation browser, a source code editor with syntax highlighting, a GUI for the compiler, and much more.

%package devel
Summary:       Development files for for %{name}
Group:         Development/Applications
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      kdevelop4-devel
Obsoletes:     kdevelop4-devel < 5.6.2
Obsoletes:     kdevplatform < 22.04.0

%description devel
An integrated development environment (IDE) that allows you to develop, build and debug KDE/Qt, GNOME, plain C and C++ projects.
It includes a documentation browser, a source code editor with syntax highlighting, a GUI for the compiler, and much more.
This package contains development files for for %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --with-html --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_kde5_bindir}/kdevelop
%{_kde5_bindir}/kdevelop!
%{_bindir}/kdev_dbus_socket_transformer
%{_bindir}/kdev_format_source
%{_bindir}/kdevplatform_shell_environment.sh
%{_datadir}/kdevplatform/shellutils/.zshrc
%{_bindir}/kdev_includepathsconverter
%{_libdir}/libKDev*.so.*
%dir %{_libdir}/qt5/plugins/kdevplatform
%{_libdir}/qt5/plugins/kdevplatform/*/*
%{_libdir}/qt5/plugins/kf5/krunner/krunner_kdevelopsessions.so
%{_libdir}/qt5/plugins/grantlee/*/kdev_filters.so
%dir %{_libdir}/qt5/qml/org/kde/kdevplatform
%{_libdir}/qt5/qml/org/kde/kdevplatform/*
%{_libdir}/qt5/qml/org/kde/plasma/private/kdevelopsessions/*
%{_datadir}/applications/org.kde.kdevelop*.desktop
%{_datadir}/bash-completion/completions/kdevelop
%{_datadir}/mime/packages/kdevgit.xml
%{_datadir}/qlogging-categories5/kdevelop.categories
%{_datadir}/qlogging-categories5/kdevplatform.categories
%{_datadir}/kdevappwizard/templates/*
%{_datadir}/kdevclangsupport/*
%dir %{_datadir}/kdevcodegen
%{_datadir}/kdevcodegen/*
%dir %{_datadir}/kdevcodeutils
%{_datadir}/kdevcodeutils/*
%dir %{_datadir}/kdevelop
%{_datadir}/kdevelop/*
%dir %{_datadir}/kdevlldb
%{_datadir}/kdevlldb/*
%dir %{_datadir}/kdevqmljssupport
%dir %{_datadir}/kdevqmljssupport/nodejsmodules/
%{_datadir}/kdevqmljssupport/nodejsmodules/*
%dir %{_datadir}/kdevqmljssupport/propertywidgets/
%{_datadir}/kdevqmljssupport/propertywidgets/*
%{_datadir}/knsrcfiles/kdev*.knsrc
%{_datadir}/knotifications5/kdevelop.notifyrc
%{_datadir}/metainfo/org.kde.kdevelop.appdata.xml
%{_datadir}/mime/packages/kdevclang.xml
%dir %{_kde5_datadir}/kdevfiletemplates/templates
%{_kde5_datadir}/kdevfiletemplates/templates/*
%{_kde5_datadir}/kdevgdb/printers/*
%dir %{_kde5_datadir}/kdevmanpage
%{_kde5_datadir}/kdevmanpage/manpagedocumentation.css
%{_kde5_datadir}/plasma/plasmoids/kdevelopsessions/contents/ui/kdevelopsessions.qml
%{_kde5_datadir}/plasma/plasmoids/kdevelopsessions/metadata.desktop
%{_kde5_xdgmimedir}/kdevelop.xml
%{_kde5_servicesdir}/plasma-applet-kdevelopsessions.desktop
%{_kde5_servicetypesdir}/kdevelopplugin.desktop
%{_kde5_icondir}/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/actions/*.png
%{_datadir}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%dir %{_libdir}/cmake/KDevelop
%{_libdir}/cmake/KDevelop/KDevelop*.cmake

%files devel
%defattr(-,root,root)
%dir %{_includedir}/kdevelop
%{_includedir}/kdevelop/*
%dir %{_includedir}/kdevplatform
%{_includedir}/kdevplatform/*
%{_libdir}/libKDev*.so
%dir %{_libdir}/cmake/KDevPlatform
%{_libdir}/cmake/KDevPlatform/KDevPlatform*.cmake

%changelog
* Sun Nov 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.08.3-2mamba
- rebuilt by autoport with build requirements: libclang-devel>=0:15.0.5-1mamba

* Sun Nov 06 2022 Automatic Build System <autodist@mambasoft.it> 22.08.3-1mamba
- automatic version update by autodist

* Tue Oct 18 2022 Automatic Build System <autodist@mambasoft.it> 22.08.2-1mamba
- automatic version update by autodist

* Sun Sep 11 2022 Automatic Build System <autodist@mambasoft.it> 22.08.1-1mamba
- automatic version update by autodist

* Wed Aug 24 2022 Automatic Build System <autodist@mambasoft.it> 22.08.0-1mamba
- automatic version update by autodist

* Sat Jul 09 2022 Automatic Build System <autodist@mambasoft.it> 22.04.3-1mamba
- automatic version update by autodist

* Sun Jun 12 2022 Automatic Build System <autodist@mambasoft.it> 22.04.2-1mamba
- automatic version update by autodist

* Sat May 14 2022 Automatic Build System <autodist@mambasoft.it> 22.04.1-1mamba
- automatic version update by autodist

* Sun Apr 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.04.0-1mamba
- update to 22.04.0

* Wed Nov 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.2-2mamba
- rebuilt with clang 13.0.0

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 5.6.2-1mamba
- automatic version update by autodist

* Thu Oct 22 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- update to 5.6.0

* Sun Aug 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.2-2mamba
- rebuilt with okteta 1:0.26.4

* Fri Jun 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.2-1mamba
- update to 5.5.2

* Sat Aug 31 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.1-1mamba
- update to 5.4.1

* Thu Nov 30 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.1-1mamba
- update to 5.2.1

* Thu Nov 30 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0-2mamba
- rebuilt by autoport with build requirements: clang-devel>=5.0.0-1mamba

* Fri Sep 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0-1mamba
- update to 5.0.0

* Mon Oct 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.0-1mamba
- update to 4.7.0

* Sat Nov 03 2012 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Wed Aug 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.1-2mamba
- rebuilt with kdesdk 4.9.0

* Sun Apr 15 2012 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- update to 4.3.1

* Mon Apr 02 2012 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Sun Jun 26 2011 Automatic Build System <autodist@mambasoft.it> 4.2.3-1mamba
- automatic update by autodist

* Wed Apr 06 2011 Automatic Build System <autodist@mambasoft.it> 4.2.2-1mamba
- automatic update by autodist

* Tue Apr 05 2011 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic update by autodist

* Mon Jan 31 2011 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic update by autodist

* Thu Jan 13 2011 Automatic Build System <autodist@mambasoft.it> 4.1.2-1mamba
- automatic update by autodist

* Fri Nov 26 2010 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic update to 4.1.1 by autodist

* Wed Nov 10 2010 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic update to 4.1.0 by autodist

* Thu Sep 02 2010 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic update to 4.0.2 by autodist

* Sat Jul 31 2010 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic update to 4.0.1 by autodist

* Fri Jun 04 2010 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- update to 4.0.0

* Sat Mar 13 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.99-1mamba
- update to 3.9.99

* Sat Nov 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.96-1mamba
- update to 3.9.96

* Thu Jun 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.93-1mamba
- update to 3.9.93

* Wed Jun 24 2009 Automatic Build System <autodist@mambasoft.it> 3.5.4-3mamba
- automatic rebuild by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 3.5.4-2mamba
- automatic rebuild by autodist

* Thu Jan 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.4-1mamba
- automatic update to 3.5.4 by autodist

* Mon Sep 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.3-2mamba
- rebuilt against subversion 1.5.2

* Sat Sep 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.3-1mamba
- update to 3.5.3

* Wed May 14 2008 Aleph0 <aleph0@openmamba.org> 3.5.2-1mamba
- update to 3.5.2

* Fri Mar 21 2008 Aleph0 <aleph0@openmamba.org> 3.5.1-1mamba
- update to 3.5.1

* Wed Nov 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.0-3mamba
- rebuild against new libapr

* Mon Nov 05 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.0-2mamba
- added build requirement for subversion-devel, not subversion
- fix given kdelibsdoc-dir
- added build requirements for libapr-devel and libaprutil-devel

* Mon Oct 22 2007 Aleph0 <aleph0@openmamba.org> 3.5.0-1mamba
- update to 3.5.0

* Tue May 29 2007 Aleph0 <aleph0@openmamba.org> 3.4.1-1mamba
- update to 3.4.1

* Thu Feb 08 2007 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.6-1qilnx
- update to version 3.3.6 by autospec

* Fri Oct 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.5-1qilnx
- update to version 3.3.5 by autospec

* Thu Aug 03 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.4-1qilnx
- update to version 3.3.4 by autospec

* Mon Jun 05 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.3-1qilnx
- update to version 3.3.3 by autospec

* Wed Mar 29 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.2-1qilnx
- update to version 3.3.2 by autospec

* Thu Feb 02 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.1-1qilnx
- update to version 3.3.1 by autospec

* Fri Dec 02 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.3.0-1qilnx
- update to version 3.3.0 by autospec
- added devel package

* Fri Oct 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.2.3-1qilnx
- update to version 3.2.3 by autospec

* Wed Aug 31 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.2.2-1qilnx
- update to version 3.2.2 by autospec
- [build]requires subversion
- build requirements / requirements added

* Fri Jun 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.2.1-1qilnx
- update to version 3.2.1 by autospec

* Fri May 20 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.2.0-1qilnx
- update to version 3.2.0 by autospec
- added missing %%post and %%postun scripts
- automatically detect kde version number
- dinamically build the lists of files

* Tue Dec 21 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.1.2-1qilnx
- update to version 3.1.2 by autospec

* Tue Oct 19 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.1-2qilnx
- removed htdig requirement

* Tue Oct 19 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.1-1qilnx
- new version build

* Wed Jun 30 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.4-2qilnx
- rebuild with kdelibs-apidocs

* Tue Jun 29 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.4-1qilnx
- new version rebuild

* Tue May 04 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.3-1qilnx
- new version rebuild

* Thu Mar 11 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.2-1qilnx
- new version rebuild

* Fri Feb 27 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.1-1qilnx
- new version rebuild

* Mon Dec 29 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0b2-1qilnx
- new version rebuild

* Tue Jul 22 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.1.5-1qilnx
- first build for kdevelop
